PayPal are going to upgrade their live system to require TLS version 1.2 and HTTP version 1.1 as described here. If you use any of our products with PayPal, you must upgrade the Payage PayPal addon to at least version 1.08. Failure to do this will eventually result in payments failing. The PayPal code built into old versions of Rentalot Plus and MediaShop will not work after the PayPal changes come into effect.

Joomla 3.x versions
Version Date Changes
2.06 15 June 2017 This is a security release in response to the findings of one of the Joomla hack teams. Although we do not believe there was any danger to your site, we have fixed the issue highlighted and recommend that all users update to the latest version.
2.05 2 June 2017 Some minor cosmetic improvements and fixes.
Re-coding of deprecated Joomla functions, in preparation for future Joomla versions. The minimum Joomla version required is now 3.4.8.
2.04 14 March 2017 Very occasionally, PayPal only provides the first parameter on the return URL and notify URL. Payage can now recover from this error, provided you also upgrade to version 1.10 of the PayPal gateway addon.
There is now a button (on the payment list page) that allows you to see any unconfirmed payment records.
2.03 4 January 2017 Fixed a bug that would prevent the reports from retrieving data on some systems.
2.02 9 December 2016 Added five new reports.
The payment list now has from and to dates instead of the preset date ranges.
2.01 16 November 2016 Supports the Joomla Update System. The Joomla admin interface will automatically notify you of new releases, and you will be able to install them with a single click in the Extensions Update Manager. Once you install this new version of the component, you will automatically receive updates for the Component, Gateway Addons and the Payage Plugin. You do not need to re-install or update the addons or the plugin.
Payage now has a sidebar menu.
2.00 9 October 2016 Joomla 2.5 is no longer supported.
Payage now has built-in multi-language support, so there is no longer any need to use Falang to translate the account texts on multi-language sites (although you can continue to use Falang if you wish).
The account description field now accepts HTML.
The About page now shows the version status of Curl and OpenSSL.
Joomla 2.5 and 3.x versions
Version Date Changes
1.09 8 March 2015 Payage now accepts payments amounts of zero. This enables zero-deposit bookings in Rentalot Plus using the Offline gateway.
1.08 3 February 2015 A minor internal change to support the new Payage Plugin.
1.07 28 January 2015 A minor internal change required to support the WorldPay gateway.
1.06 18 December 2014 The version packaged with all our gateways is no longer available. You now have to install the Payage component followed by the gateway addons you require.
The test view has been removed from the Payage component and is now a separate component.
Payage now records the buyers IP address with the payment details.
The payment detail screen can now show details of multiple gateway messages.
1.05 30 November 2014 The Pay button icons and text can now be translated using Falang.
1.04 25 November 2014 The PayPal interface has been changed to force connection using the TLS protocol. On the 3rd of December, PayPal will disable support for SSLv3. After this date, most servers should automatically negotiate a TLS connection, however, this change may be required for continued operation on some servers.
1.03 26 August 2014 Added the Barclaycard ePDQ gateway.
1.02 13 May 2014 Fees were not correctly calculated for offline payments.
Also a code fix for an error generated in PHP versions older than 5.3.
1.01 29 March 2014 First public release
end faq